/***********************************************************************/
/*																	   */
/*	FILE		:M16UART.H											   */
/*	DATE		:Sep 26, 2008										   */
/*	DESCRIPTION :M16UART Common Header								   */
/*	CPU GROUP	:M16/30												   */
/*																	   */
/*																	   */
/***********************************************************************/



#include "std_type.h"



// brr ɐݒ肷l
// f1 = 14.7456MHz
#define	BPS9600		95
#define	BPS19200	47
#define	BPS38400	23
#define	BPS57600	15
#define	BPS115200	7


// IO define


extern	void UART0_init( uint8_t rxintlevel,uint8_t txintlevel ,uint8_t brr);
extern	void UART0_txstr( char far *s );
extern	void UART0_txnstr( char far *s ,short len);
extern	short UART0_rxchar( char far *c );
extern	short UART0_isrx( void );


extern	void UART1_init( uint8_t rxintlevel,uint8_t txintlevel ,uint8_t brr );
extern	void UART1_txstr( char far *s );
extern	void UART1_txnstr( char far *s ,short len);
extern	short UART1_rxchar( char far *c );
extern	short UART1_isrx( void );

extern	void UART2_init( uint8_t rxintlevel,uint8_t txintlevel ,uint8_t brr);
extern	void UART2_txstr( char far *s );
extern	void UART2_txnstr( char far *s ,short len);
extern	short UART2_rxchar( char far *c );
extern	short UART2_isrx( void );
