/***********************************************************************

FILE		:at49vb040.c 
DATE		:Sep 22, 2008
DESCRIPTION :FlashROM(AT49VB040) Driver

ATMEL AT49VB040B dl@(3499B-FLASH-4/06)ɏ]

M16/30P 8Bit Buss [h

***********************************************************************/


/*==============================================================*/
/*			Const, Macro, type definition						*/
/*==============================================================*/
#define	FROM_TOP		0x030000	/* Flash ROM Top Address*/
#define	FROM_SIZE		0x080000	/* Flash ROM Size		*/
#define	FROM_SCT_MAX	11			/* őZN^			*/


/*==============================================================*/
/*			Function prototypes									*/
/*==============================================================*/
extern	int	FROM_Reset(void);
extern	int	FROM_ChipErase(void);
extern	int	FROM_SectErase(uint8_t far * adr);
extern	uint8_t  far *FROM_GetSectInfo(int sect,uint32_t far *sectsize);
extern	int	FROM_WriteByte(uint8_t far * adr,uint8_t data);
extern	void FROM_ProductID( uint8_t far * ManuCode,uint8_t far * DevCode,uint8_t far * AddDevCode);

/*==============================================================*/
/*			Valiable Definition									*/
/*==============================================================*/
typedef struct{
	uint8_t	far * far top;
	uint32_t	size;
}T_FROM_SECT;

