/***********************************************************************

FILE		:M16_30.h 
DATE		:Sep 22, 2008
DESCRIPTION :M16/30Board Project Common Header file

M16/30P 8Bit Buss [h

Copyright(C)@2008 r[R. All rights reserved. 

***********************************************************************/

#include <string.h>
#include <ctype.h>
#include <stdio.h>

#include "sfr30p.h"
#include "std_type.h"
#include "at49bv.h"
#include "m16uart.h"

// RAM define
#define RAM_TOP	(uint8_t far *)0x28000
#define	RAM_SZ	0x8000


// COMMAND `
#define	CMD_NON			0
#define	CMD_CHIP_ERASE	1
#define	CMD_SECT_ERASE	2
#define	CMD_RAM_TEST	3
#define	CMD_SECT_WRITE	4
#define	CMD_SECT_INFO	5
#define	CMD_FLASH_INFO	6
#define	CMD_DUMP		7
#define	CMD_VER			97
#define	CMD_HELP		98
#define	CMD_ERROR		99


extern	void	Get_cmdline(char *cl,size_t sz);
extern	uint8_t	Analyze_cmdline(char *cl);

